%define srcName mysql
%define origName mysqltcl 

Name: tcl-%srcName
Version: 2.50
Release: alt1
Summary: MySQLTcl - MySQL server access commands for Tcl
Summary(ru_RU.KOI8-R): MySQLTcl  -        MySQL
Group: Development/Tcl
License: GPL
URL: http://www.xdobry.de/mysqltcl

Source: %origName-%version.tar.gz

Requires: libMySQL >= 3.23
BuildRequires: rpm-build >= 4.0.4 tcl-devel >= 8.4.0 libMySQL-devel

BuildPreReq: autoconf_2.5 >= 2.57
BuildPreReq: automake_1.7

%description
MySQLTcl is a collection of Tcl commands and a Tcl global array that provide access to one or more mysql database servers.

%description -l ru_RU.KOI8-R
MySQLTcl  -           MySQL 

%prep
%setup -q -n %origName-%version

%build
#%__aclocal
#%__autoconf
#%__automake

%configure \
--with-tclinclude=%_includedir \
--with-tkinclude=%_includedir

%make_build
make 

%install
mkdir -p %buildroot%_tcllibdir/
mkdir -p %buildroot%_tcldatadir/%origName%version
mkdir -p %buildroot%_tcldatadir/%origName%version/tests

install -p libmysqltcl2.50.so %buildroot%_tcllibdir/
install -p -m644 tests/* %buildroot%_tcldatadir/%origName%version/tests/

cat > %buildroot%_tcldatadir/%origName%version/pkgIndex.tcl << EOF
package ifneeded mysqltcl %version [list load %_tcllibdir/libmysqltcl2.50.so]
EOF


%files
%_tcldatadir/%origName%version
%_tcllibdir/libmysqltcl2.50.so

%doc AUTHORS README README-msqltcl ChangeLog COPYING doc/*

%changelog
* Wed Sep 29 2004 Sergey Kalinin <banzaj@altlinux.ru> 2.50-alt1
- initial release
